%define name		jakarta-oro
%define short_name	oro
%define version		2.0.8
%define release		2.6
%define section		free
%define gcj_support	1

Name:           %{name}
Version:        %{version}
Release:        %mkrel %{release}
Epoch:		0
Summary:        Full regular expressions API
License:        Apache License
Group:          Development/Java
URL:            http://jakarta.apache.org/%{name}/
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  jpackage-utils > 0:1.5
BuildRequires:  ant
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:      oro
Provides:       oro = %{epoch}:%{version}-%{release}
#Vendor:         JPackage Project
#Distribution:   JPackage

%description
The Jakarta-ORO Java classes are a set of text-processing Java classes
that provide Perl5 compatible regular expressions, AWK-like regular
expressions, glob expressions, and utility classes for performing
substitutions, splits, filtering filenames, etc. This library is the
successor to the OROMatcher, AwkTools, PerlTools, and TextTools
libraries from ORO, Inc. (www.oroinc.com). They have been donated to the
Jakarta Project by Daniel Savarese (www.savarese.org), the copyright
holder of the ORO libraries. Daniel will continue to participate in
their development under the Jakarta Project.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# remove all CVS files
for dir in `find . -type d -name CVS`; do rm -rf $dir; done
for file in `find . -type f -name .cvsignore`; do rm -rf $file; done

%build
%ant -Dfinal.name=%{name} jar javadocs

%install
#jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && ln -s %{name}-%{version}.jar %{short_name}-%{version}.jar)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s %{name}-%{version} %{name})
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s %{name}-%{version} %{short_name}-%{version})
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s %{short_name}-%{version} %{short_name})
rm -rf docs/api

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(-,root,root)
%doc COMPILE ISSUES README TODO CHANGES CONTRIBUTORS LICENSE STYLE
%{_javadir}/*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}*.jar.*
%endif

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/*




%changelog
* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 2.0.8-2.6mdv2008.0
+ Revision: 87419
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sat Sep 08 2007 Pascal Terjan <pterjan@mandriva.org> 0:2.0.8-2.5mdv2008.0
+ Revision: 82592
- update to new version


* Thu Mar 15 2007 Christiaan Welvaart <spturtle@mandriva.org> 2.0.8-2.4mdv2007.1
+ Revision: 143935
- rebuild for 2007.1
- Import jakarta-oro

* Fri Jun 02 2006 David Walluck <walluck@mandriva.org> 0:2.0.8-2.3mdv2007.0
- rename to jakarta-oro

* Fri Jun 02 2006 David Walluck <walluck@mandriva.org> 0:2.0.8-2.2mdv2006.0
- rebuild for libgcj.so.7
- aot compile

* Sun May 08 2005 David Walluck <david@anti-microsoft.org> 0:2.0.8-2.1mdk
- release

* Wed Aug 25 2004 Fernando Nasser <fnasser.redhat.com> 2.0.8-2jpp
- Rebuild with Ant 1.6.2

